List of all members
clan::ColorHSLx< Type, ColorType > Class Template Reference
clanDisplay 2D

Color HSL description class. More...

`#include <color_hsl.h>`

## Public Member Functions
Construction
| ColorHSLx ()
| Constructs a color. More...
| ColorHSLx (Type h, Type s, Type l, Type a)
| ColorHSLx (const ColorHSLx< Type, ColorType > &copy)
| ColorHSLx (const Color &color)
| ColorHSLx (const Colorf &color)
Operators
| operator ColorType ()
ColorHSLx< Type, ColorType > & | operator= (const ColorHSLx< Type, ColorType > &copy)
| = operator. More...
bool | operator== (const ColorHSLx< Type, ColorType > &color) const
| == operator. More...
bool | operator!= (const ColorHSLx< Type, ColorType > &color) const
| != operator. More...

## Public Attributes
Attributes
Type | h
Type | s
Type | l
Type | a

## Detailed Description

### template<typename Type, typename ColorType>
class clan::ColorHSLx< Type, ColorType >

Color HSL description class.

These templates are defined for: int (ColorHSLi), float (ColorHSLf), double (ColorHSLd)

The documentation for this class was generated from the following file:

- color_hsl.h